Subject: bug#19066: 25.0.50; nadvice and interactive-form

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 May 2021 08:49:27 -0400

Lars Ingebrigtsen [2021-05-31 07:43:34] wrote:
> Stefan Monnier <[email-masked]> writes:
>> Another way would be to make the interactive form of the "compose
>> function" more dynamic: make it re-checks the interactive form of every
>> advice function every time.  That's probably the better option.
> That sounds like a good solution to me -- the interactive path isn't
> normally performance critical, so adding more work in that case should
> be fine.

Yes, performance is not an issue.  But preserving the semantics 100% is
currently somewhere between hard and impossible.  99.9% is fairly easy,
OTOH (IIRC the main problem has to do with how the args get represented
in `command-history`).

        Stefan